<template>
  <div class="dashboard" :key="$route.params.id">
    <div class="row" id="detail-sub-header">
      <div class="col-sm">
        <div class="detail-header">
          <nav class="navbar navbar-expand-lg navbar-light">
            <div>
              <h1>{{ title }}</h1>
            </div>
          </nav>
          <div class="detail-desc">
            <div>
              <img v-if="spatial == 'IOR'" :src="getCountryFlagImg(spatial)" width="30px" class="flag-icon-detail ior">
              <img v-else :src="getCountryFlagImg(spatial)" width="30px" class="flag-icon-detail">
              {{ description }}
            </div>
          </div>
          <catalogue-detail-navigation :id="$route.params.id"></catalogue-detail-navigation>
        </div>
      </div>
    </div>
    <!-- ROUTER-VIEW -->
    <router-view class="detail-content" name="catalogueDetailNavigation" :id="$route.params.id" :title="title"></router-view>
  </div>
</template>

<script>
import CatalogueDetailNavigation from '@/components/CatalogueDetailNavigation'
import {mapActions, mapGetters} from 'vuex'

export default {
  name: 'CatalogueDetail',
  components: {
    CatalogueDetailNavigation
  },
  data () {
    return {}
  },
  mounted () {},
  computed: {
    // import store-getters
    ...mapGetters([
      'getCatalogue',
      'getAllCatalogues'
    ]),
    title () {
      return this.getCatalogue && this.getCatalogue.info ? this.getCatalogue.info.title : ''
    },
    description () {
      return this.getCatalogue && this.getCatalogue.info ? this.getCatalogue.info.description : ''
    },
    spatial () {
      return this.getCatalogue && this.getCatalogue.info ? this.getCatalogue.info.spatial : ''
    }
  },
  methods: {
    // import store-actions
    ...mapActions([
      'loadCatalogue'
    ]),
    getCountryFlagImg (countryId) {
      let img
      try {
        img = require(`@/assets/img/flags/${countryId.toLowerCase()}.png`)
      } catch (err) {
        img = require('@/assets/img/flags/europe.png')
      }
      return img
    }
  },
  created () {
    this.loadCatalogue(this.$route.params.id)
  }
}
</script>

<style scoped>
.ior {
  opacity: 0.8;
}

h1 {
  font-size: 1.75rem;
}
</style>
